Bug 1146370 - RFE: Kerberos should support dropping configuration snippets to /etc/ and /usr
Summary: RFE: Kerberos should support dropping configuration snippets to /etc/ and /usr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robbie Harwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1145788 1146945
TreeView+ depends on / blocked
 
Reported: 2014-09-25 06:21 UTC by Jakub Hrozek
Modified: 2015-10-03 21:14 UTC (History)
4 users (show)

Fixed In Version: 1.13.2-7.fc23 krb5-1.13.2-7.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1146945 (view as bug list)
Environment:
Last Closed: 2015-10-03 21:14:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Jakub Hrozek 2014-09-25 06:21:58 UTC
Description of problem:
It would be beneficial for packages like realmd or SSSD if krb5 supported dropping configuration snippets to two new directories owned directly by libkrb5:
/etc/krb5.conf.d/
/usr/share/krb5.conf.d/

The former would be used by the machine administrator and the latter by the distribution. One proposed use-case would be the loading of SSSD localauth plugin, which could then by done simply by SSSD dropping a config file to /usr/share/krb5.conf.d/

Comment 1 Jakub Hrozek 2014-09-25 06:22:32 UTC
Reassigning to Roland per his request

Comment 2 Fedora Admin XMLRPC Client 2015-09-01 21:35:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Robbie Harwood 2015-09-09 22:49:00 UTC
krb5 already has underlying support for this.  As far as I can tell, they're using `includedir /var/lib/sss/pubconf/krb5.include.d/` in krb5.conf.

Are you asking for a default setting to be provided in krb5.conf by the krb5 package?

Comment 4 Jan Pazdziora 2015-09-10 06:56:36 UTC
(In reply to Robbie Harwood from comment #3)
> krb5 already has underlying support for this.  As far as I can tell, they're
> using `includedir /var/lib/sss/pubconf/krb5.include.d/` in krb5.conf.
> 
> Are you asking for a default setting to be provided in krb5.conf by the krb5
> package?

I think bug 1146945 comment 9 has the most concise plan. Note that there was a proposed patch on that bugzilla but it was deemed not ideal.

Comment 5 Jakub Hrozek 2015-09-10 07:58:31 UTC
FWIW, I agree with Jan's comment #4. (thanks for digging up the link).

Comment 6 Fedora Update System 2015-09-11 20:12:43 UTC
krb5-1.13.2-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15661

Comment 7 Fedora Update System 2015-09-11 20:12:44 UTC
krb5-1.13.2-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15660

Comment 8 Fedora Update System 2015-09-12 21:25:07 UTC
krb5-1.13.2-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update krb5'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15661

Comment 9 Fedora Update System 2015-09-13 04:20:10 UTC
krb5-1.13.2-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update krb5'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15660

Comment 10 Fedora Update System 2015-09-19 18:54:44 UTC
krb5-1.13.2-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-09-23 17:03:55 UTC
krb5-1.13.2-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16547

Comment 12 Fedora Update System 2015-09-25 21:21:06 UTC
krb5-1.13.2-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update krb5'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16547

Comment 13 Fedora Update System 2015-10-03 21:14:22 UTC
krb5-1.13.2-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.